---
title: chrony
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.chrony) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.chrony?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.chrony) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.chrony/src/branch/master/LICENSE)

Setup chrony NTP.

- [Default Variables](#default-variables)
  - [chrony_acquisitionport](#chrony_acquisitionport)
  - [chrony_allow](#chrony_allow)
  - [chrony_conf_file](#chrony_conf_file)
  - [chrony_drift_file](#chrony_drift_file)
  - [chrony_dump_dir](#chrony_dump_dir)
  - [chrony_initstepslew_enabled](#chrony_initstepslew_enabled)
  - [chrony_initstepslew_servers](#chrony_initstepslew_servers)
  - [chrony_initstepslew_threshold](#chrony_initstepslew_threshold)
  - [chrony_key_file](#chrony_key_file)
  - [chrony_log](#chrony_log)
  - [chrony_log_dir](#chrony_log_dir)
  - [chrony_maxupdateskew](#chrony_maxupdateskew)
  - [chrony_port](#chrony_port)
  - [chrony_server](#chrony_server)
- [Dependencies](#dependencies)

---

## Default Variables

### chrony_acquisitionport

#### Default value

```YAML
chrony_acquisitionport: 1123
```

### chrony_allow

#### Default value

```YAML
chrony_allow: []
```

### chrony_conf_file

#### Default value

```YAML
chrony_conf_file: /etc/chrony/chrony.conf
```

### chrony_drift_file

#### Default value

```YAML
chrony_drift_file: /var/lib/chrony/drift
```

### chrony_dump_dir

#### Default value

```YAML
chrony_dump_dir: /var/lib/chrony
```

### chrony_initstepslew_enabled

#### Default value

```YAML
chrony_initstepslew_enabled: false
```

### chrony_initstepslew_servers

#### Default value

```YAML
chrony_initstepslew_servers: 169.254.169.123
```

### chrony_initstepslew_threshold

#### Default value

```YAML
chrony_initstepslew_threshold: 30
```

### chrony_key_file

#### Default value

```YAML
chrony_key_file: /etc/chrony/chrony.keys
```

### chrony_log

#### Default value

```YAML
chrony_log: tracking measurements statistics
```

### chrony_log_dir

#### Default value

```YAML
chrony_log_dir: /var/log/chrony
```

### chrony_maxupdateskew

#### Default value

```YAML
chrony_maxupdateskew: 100.0
```

### chrony_port

#### Default value

```YAML
chrony_port: 123
```

### chrony_server

#### Default value

```YAML
chrony_server: 169.254.169.123 prefer iburst
```



## Dependencies

None.
